
Foreman - Bug #20622

Puppet reports recalculate all statuses

08/17/2017 04:47 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Importers   

Target version: 1.15.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1482204 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4749

  

Description

It appears that puppet reports cause all statuses to be updated:

https://github.com/theforeman/foreman/blob/develop/app/services/report_importer.rb#L42

On a heavily loaded system this could mean this is being called 100s of times per second.  This is a fairly slow operation to be doing

when not necessary.

Puppet reports should only refresh statuses that are relevant to them.

Associated revisions

Revision be670616 - 08/24/2017 04:56 AM - Lukas Zapletal

Fixes #20622 - puppet import does not refresh all statuses

Revision 20adcd0d - 09/13/2017 09:01 AM - Lukas Zapletal

Fixes #20622 - puppet import does not refresh all statuses

(cherry picked from commit be6706162e9705611827aa0a8e875a9f3175d2e9)

History

#1 - 08/17/2017 05:20 AM - Marek Hulán

I agree, Host::Managed#refresh_statuses is being used from many places (report import, openscap report import and I can imagine other plugins

too). Maybe it should accept set of statuses that were changed and should be refreshed. Btw Justin was looking into this recently too.

#2 - 08/17/2017 05:27 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4749 added

#3 - 08/23/2017 10:55 AM - Lukas Zapletal

- translation missing: en.field_release set to 287

Requesting 1.15 as well.

#4 - 08/24/2017 05:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset be6706162e9705611827aa0a8e875a9f3175d2e9.
